--
-- ### case condition with null type 
--

drop if exists table t1;
create table t1 ( a int, b int );
insert into t1 values ( 1, 1 );
insert into t1 values ( 1, 0 );

drop if exists view v1;
create view v1 as
select t1.a as a,
   case when t1.b = 0 then null else t1.b end as b
from t1;

select * from v1;
